<?PHP
/*
 * DIREITOS AUTORAIS RESERVADOS (C) 2007 UFRJ
 * 
 * ESTE PROGRAMA É SOFTWARE LIVRE; VOCÊ PODE REDISTRIBUÍ-LO E/OU MODIFICÁ-LO SOB OS
 * TERMOS DA LICENÇA PÚBLICA GERAL GNU CONFORME PUBLICADA PELA FREE SOFTWARE FOUNDATION;
 * TANTO A VERSÃO 2 DA LICENÇA, COMO (A SEU CRITÉRIO) QUALQUER VERSÃO POSTERIOR.

 * ESTE PROGRAMA É DISTRIBUÍDO NA EXPECTATIVA DE QUE SEJA ÚTIL, PORÉM, SEM NENHUMA GARANTIA;
 * NEM MESMO A GARANTIA IMPLÍCITA DE COMERCIABILIDADE OU ADEQUAÇÃO A UMA FINALIDADE ESPECÍFICA.
 * CONSULTE A LICENÇA PÚBLICA GERAL DO GNU PARA MAIS DETALHES.
 * 
 * VOCÊ DEVE TER RECEBIDO UMA CÓPIA DA LICENÇA PÚBLICA GERAL DO GNU JUNTO COM ESTE PROGRAMA; 
 * SE NÃO, ACESSE <<HTTP://WWW.GNU.ORG/LICENSES/LICENSES.PT-BR.HTML>>
 */

<?
include "includes/pg_begin.php";     //carrega arquivo de conexão

// dados repassados do programa chamados:
// = $sc_indicador (código do indicador)
// = $sc_granularidade (código da granularidade)

// seleciona as granularidades

// comando básico
$sql="
	select *
	from indicador I, seriehistorica S
	where I.codigoindicador = S.codigoindicador
	and S.codigoindicador = '" . $sc_indicador . "'  
	and S.codigogranularidade = '" . $sc_granularidade . "'
	and S.codigoperiodicidade = " . $sc_periodicidade . "
	and S.status = 0
	order by S.valorperiodo asc";
	
// debug
// echo $sql;
// exit;

$result=pg_query($dbh, $sql);

if (!$result) {
   header('location:index.php?msn=4');
   exit;
}
?>
	<table id="valores">
<?

$rows = pg_num_rows ($result);
if ($rows <= 0) { # não há série histórica desta  granularidade para este indicador
	echo 'No momento n&atilde;o h&aacute; valores calculados para este indicador.';
} else {
	?>

	<tr><th>Período</th><th><? echo $db_nomegranularidade ?></th><th>Valor</th></tr>

	<?

	// recupera as tuplas selecionadas
	while ($nt=pg_fetch_array($result))
	{
		// atribui valor a variaveis locais para db
		$db_unidadeindicador = trim(pg_escape_string($nt['unidadeindicador']));
		$db_valorperiodo = trim(pg_escape_string($nt['valorperiodo']));
		$db_valorgranularidade = trim(pg_escape_string($nt['valorgranularidade']));
		
		// valor é  formatado de acordo com a unidade do indicador
		// se a unidade do indicador é percentual mostra % ao lado do valor
		$db_valorindicador = trim(pg_escape_string($nt['valorindicador']));
		if ($db_unidadeindicador == '%') {
			$db_valorindicador = number_format($db_valorindicador, 1, ',', '') . '%';
		} else {
			$db_valorindicador = number_format($db_valorindicador, 0, ',', '');
		}
		
		$aux_cor = "";
		if ($db_estiloindicador == 'Maior melhor') {
			if ($db_valorindicador <= $db_valorcriticoindicador) {
				$aux_cor = "pink";
			}
		}
		
		echo '<tr bgcolor="' . $aux_cor . '"><td>' 
			. $db_valorperiodo . '</td><td>'
			. $db_valorgranularidade . '</td><td align="right">'
			. $db_valorindicador . '</td><tr>';
	}

}
?>

</table>
